%define anolis_release 1

%global pypi_name livereload

Name:           python-%{pypi_name}
Version:        2.6.3
Release:        %{anolis_release}%{?dist}
Summary:        Utility for starting a server in a directory

License:        BSD
URL:            https://github.com/lepture/python-livereload
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

%description
LiveReload provides a command line utility, livereload, for starting a server
in a directory. By default, it will listen to port 35729, the common port for
LiveReload browser extensions. LiveReload is designed for web developers who
know Python.

%package -n python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-six
BuildRequires:  python3-tornado
BuildRequires:  python3-certifi
BuildRequires:  python3-django
Provides:       %{pypi_name} = %{version}-%{release}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
LiveReload provides a command line utility, livereload, for starting a server
in a directory. By default, it will listen to port 35729, the common port for
LiveReload browser extensions. LiveReload is designed for web developers who
know Python.

%package -n python3-%{pypi_name}-doc
Summary:        Documentation for %{name}

%description -n python3-%{pypi_name}-doc
LiveReload documentation and examples.

%prep
%autosetup -n %{name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%{_bindir}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py*.egg-info

%files -n python3-%{pypi_name}-doc
%doc README.rst CHANGES.rst
%doc docs example

%changelog
* Tue May 23 2023 Funda Wang <fundawang@yeah.net> - 2.6.3-1
- Import package for anolis 23
